libxr — developer's documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
xr-value-utils.h File Reference

xr_value parser/builder. More...

`#include <xr-value.h>`

Go to the source code of this file.

## Functions

G_BEGIN_DECLS xr_value * | xr_value_build (const char *fmt,...)
| Build a value node from format string. More...
gboolean | xr_value_parse (xr_value *value, const char *fmt,...)
| Parse a value node using format string. More...

## Detailed Description

xr_value parser/builder.

API which accepts a subset of xmlrpc-c format string. c.f. http://xmlrpc-c.sourceforge.net/doc/libxmlrpc.html#formatstring

Supported specifiers: i – int b – boolean d – double s – string A – array S – struct ( – begin of an array ) – end of an array { – begin of a struct } – end of a struct : – key-value pair separator in a struct , – separator for members of a struct

- – tagging the end of a struct, or ingore rest items of an array

Documentation for libxr, Fri Apr 15 2016 08:12:18.